Skip to main content
GET
/
leaderboards
/
{configId}
/
data
Get aggregated leaderboard data
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/integration/leaderboards/{configId}/data \
  --header 'x-api-token: <api-key>'
{
  "totalCount": 123,
  "edges": [
    {
      "userId": "<string>",
      "username": "<string>",
      "displayName": "<string>",
      "profilePictureUrl": "<string>",
      "value": 123
    }
  ],
  "lastUpdatedAt": "<string>"
}

Authorizations

x-api-token
string
header
required

Path Parameters

configId
string
required

The ID of the leaderboard configuration

Pattern: ^[0-9a-fA-F]{24}$

Query Parameters

inHistoricPeriod
string
limit
integer
default:10
Required range: 1 <= x <= 100
skip
integer
default:0
Required range: x >= 0

Response

Successful response

Paginated leaderboard data with entries and cache timestamp

totalCount
number
required
edges
LeaderboardEntry · object[]
required
lastUpdatedAt
string
required

Timestamp when the leaderboard data was last updated